package com.ruoyi.dezhi.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dezhi.mapper.BBusiDezhiVideoPackageChapterMapper;
import com.ruoyi.dezhi.domain.BBusiDezhiVideoPackageChapter;
import com.ruoyi.dezhi.service.IBBusiDezhiVideoPackageChapterService;

/**
 * 视频包章节Service业务层处理
 * 
 * @author mingxue
 * @date 2021-07-22
 */
@Service
public class BBusiDezhiVideoPackageChapterServiceImpl implements IBBusiDezhiVideoPackageChapterService 
{
    @Autowired
    private BBusiDezhiVideoPackageChapterMapper bBusiDezhiVideoPackageChapterMapper;

    /**
     * 查询视频包章节
     * 
     * @param id 视频包章节ID
     * @return 视频包章节
     */
    @Override
    public BBusiDezhiVideoPackageChapter selectBBusiDezhiVideoPackageChapterById(Long id)
    {
        return bBusiDezhiVideoPackageChapterMapper.selectBBusiDezhiVideoPackageChapterById(id);
    }

    @Override
    public BBusiDezhiVideoPackageChapter selectBBusiDezhiVideoPackageChapterByChapterId(String chapterId) {
        return bBusiDezhiVideoPackageChapterMapper.selectBBusiDezhiVideoPackageChapterByChapterId(chapterId);
    }

    @Override
    public List<BBusiDezhiVideoPackageChapter> selectBBusiDezhiVideoPackageChapterByPackId(String packId) {
        return bBusiDezhiVideoPackageChapterMapper.selectBBusiDezhiVideoPackageChapterByPackId(packId);
    }

    /**
     * 查询视频包章节列表
     * 
     * @param bBusiDezhiVideoPackageChapter 视频包章节
     * @return 视频包章节
     */
    @Override
    public List<BBusiDezhiVideoPackageChapter> selectBBusiDezhiVideoPackageChapterList(BBusiDezhiVideoPackageChapter bBusiDezhiVideoPackageChapter)
    {
        return bBusiDezhiVideoPackageChapterMapper.selectBBusiDezhiVideoPackageChapterList(bBusiDezhiVideoPackageChapter);
    }

    /**
     * 新增视频包章节
     * 
     * @param bBusiDezhiVideoPackageChapter 视频包章节
     * @return 结果
     */
    @Override
    public int insertBBusiDezhiVideoPackageChapter(BBusiDezhiVideoPackageChapter bBusiDezhiVideoPackageChapter)
    {
        return bBusiDezhiVideoPackageChapterMapper.insertBBusiDezhiVideoPackageChapter(bBusiDezhiVideoPackageChapter);
    }

    /**
     * 修改视频包章节
     * 
     * @param bBusiDezhiVideoPackageChapter 视频包章节
     * @return 结果
     */
    @Override
    public int updateBBusiDezhiVideoPackageChapter(BBusiDezhiVideoPackageChapter bBusiDezhiVideoPackageChapter)
    {
        return bBusiDezhiVideoPackageChapterMapper.updateBBusiDezhiVideoPackageChapter(bBusiDezhiVideoPackageChapter);
    }

    /**
     * 批量删除视频包章节
     * 
     * @param ids 需要删除的视频包章节ID
     * @return 结果
     */
    @Override
    public int deleteBBusiDezhiVideoPackageChapterByIds(Long[] ids)
    {
        return bBusiDezhiVideoPackageChapterMapper.deleteBBusiDezhiVideoPackageChapterByIds(ids);
    }

    /**
     * 删除视频包章节信息
     * 
     * @param id 视频包章节ID
     * @return 结果
     */
    @Override
    public int deleteBBusiDezhiVideoPackageChapterById(Long id)
    {
        return bBusiDezhiVideoPackageChapterMapper.deleteBBusiDezhiVideoPackageChapterById(id);
    }
}
